{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function check_notes, msg, fieldcount\r\ndeclare subroutine forward_event, create_note\r\n$insert quote_sigs_equ\r\n$insert msg_equates\r\n\r\nSavedWOs = get_property( @window, '@SavedWOs' )\r\nSavedCusts = get_property( @window, '@SavedCusts' )\r\nif SavedWOs then\r\n    SWoCnt = fieldcount( SavedWOs, @fm )\r\n    if SWOCnt > 1 then\r\n       WOVar = 'WOs'\r\n       MessageVar = 'The following WOs have been entered: '       \r\n       for i = 1 to SWOCnt\r\n          ThisWO = SavedWOs<i>\r\n          ThisCust = SavedCusts<i>\r\n          MessageVar := ThisWO:'-':ThisCust:', '\r\n       next i\r\n       MessageVar[-2,2] = ''\r\n    end else\r\n       WOVar = 'WO'    \r\n       MessageVar = 'The following WO has been entered: ':SavedWOs:'-':SavedCusts:'.'\r\n    end\r\n\tMsgInfo = ''\r\n\tMsgInfo<mtext$> = 'Do you wish to send a notification to shipping.'\r\n\tMsgInfo<micon$> = '?'\r\n\tMsgInfo<mtype$> = 'BNY'\r\n\tResp = msg( '', MsgInfo )\r\n\tif Resp then\r\n       SendTo = xlate( 'CONFIG', 'QUOTE_SIGS', WOEntryNotif$, 'X' )\r\n\t   create_note( SendTo, @user4, WOVar:' Entered', MessageVar, '', '', '' )\r\n\tend\r\nend\r\nforward_event( CancelFlag )\r\nVoid = check_notes()\r\nRETURN 0"
        }
    }
}